Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Class Watch

    java.lang.Object
      org.netbeans.api.debugger.Watch

    public final class Watch

extends Object

Abstract definition of watch. Each watch is created for one String which contains the name of variable or some expression.

Field Summary
`static String` | `PROP_EXPRESSION` Name of the property for the watched expression.
`static String` | `PROP_VALUE` Name of the property for the value of the watched expression.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add a property change listener.
`String` | `getExpression()` Return expression this watch is created for.
`void` | `remove()` Remove the watch from the list of all watches in the system.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove a property change listener.
`void` | `setExpression(String expression)` Set the expression to watch.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_EXPRESSION

    public static final String PROP_EXPRESSION

  Name of the property for the watched expression.

  See Also:
    Constant Field Values

### PROP_VALUE

    public static final String PROP_VALUE

  Name of the property for the value of the watched expression. This constant is not used at all.

  See Also:
    Constant Field Values

Method Detail

### getExpression

    public String getExpression()

  Return expression this watch is created for.

  Returns:
    expression this watch is created for

### setExpression

    public void setExpression(String expression)

  Set the expression to watch.

  Parameters:
    `expression` - expression to watch

### remove

    public void remove()

  Remove the watch from the list of all watches in the system.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  Add a property change listener.

  Parameters:
    `l` - the listener to add

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  Remove a property change listener.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.